Yaf_Application::getLastErrorNo
Yaf_Application::run
Yaf_Application
PHP Manual

# Yaf_Application::getModules

(Yaf >=1.0.0)

Yaf_Application::getModules — Get defined module names

### Description

public array Yaf_Application::getModules ( void )

Get the modules list defined in config, if no one defined, there will always be a module named "Index".

### Parameters

This function has no parameters.

### Return Values

### Examples

Example #1 Yaf_Application::getModules()example

`<?php
$config = array(
"application" => array(
"directory" => realpath(dirname(__FILE__)) . "/application",
),
);
/** Yaf_Application */
$application = new Yaf_Application($config);
print_r($application->getModules());
?>`

The above example will output something similar to:

    Array
    (
        [0] => Index
    )

Yaf_Application::getLastErrorNo
Yaf_Application::run
Yaf_Application
PHP Manual